/* yes, it is really  -*-C-*-  */

static void
xyLinePlotAttachData(w,argc,argv)
Widget    w;
int       argc;
char    **argv;
     {
     int count;
     float *x,*xarray, *y,*yarray;

     x = xarray = (float *)XtMalloc(sizeof(float)*argc);
     y = yarray = (float *)XtMalloc(sizeof(float)*argc);

     for (count = 0; count < argc; count++,x++,y++)
         {
         if (!(sscanf(argv[count],"%f/%f",x,y)))
              {
              wafeConvError("xyLinePlotAttachData",
			    "in array", argv[count],"x/y");
              return;
              }
          }

     AtXYLinePlotAttachData(w,
			    (XtPointer)xarray, AtFloat, sizeof(float),
			    (XtPointer)yarray, AtFloat, sizeof(float),
			    1,argc);

     wafeMMreplace(wafeMMgetAttribList(w,True),
		   WafePermStringToQuark("LinePlotXData"),
		   (char*)xarray,XtFree);
     wafeMMreplace(wafeMMgetAttribList(w,True),
		   WafePermStringToQuark("LinePlotYData"),
		   (char*)yarray,XtFree);
     }     


